SuSE Linux Enterprise Server SP2 w/ active subscription.

I'm trying to compile the latest BIND 9 binaries in which I need openssl header files to do so. But the repository does not contain libopenssl-devel. After some research online I'm seeing that this RPM is only available through another Novell product SuSE Enterprise Software Development Kit. I'm used to having access to devel rpms with other distros no problem. Do I need a different repository or something?

Thanks!